﻿Public Class Form1
    Private db As New NorthwindDataContext

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        db.Log = Console.Out

        'Me.CustomerBindingSource.DataSource = db.Customers
        Dim paises = From clientes In db.Customers _
                     Where clientes.Country <> "" _
                     Order By clientes.Country _
                     Select clientes.Country Distinct

        For Each pais In paises
            Me.ToolStripComboBox1.Items.Add(pais)
        Next


    End Sub

    Private Sub CustomerBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CustomerBindingNavigatorSaveItem.Click
        Me.Validate()
        Me.CustomerBindingSource.EndEdit()
        Me.OrdersBindingSource.EndEdit()

        Try
            db.SubmitChanges()
            MsgBox("Salvo")
        Catch ex As Exception
            MsgBox("Erro ao salvar : " & ex.Message)
        End Try

    End Sub

    Private Sub ToolStripComboBox1_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ToolStripComboBox1.SelectedIndexChanged
        Dim clientes = From cliente In db.Customers _
                       Where cliente.Country = Me.ToolStripComboBox1.SelectedItem.ToString _
                       Select cliente

        Me.CustomerBindingSource.DataSource = clientes

    End Sub
End Class
